import { HemisphereLight } from 'three';
import type { Vec } from "./Type";
import type CustomThreeLayer from '@vuemap/vue-amap/es/packages/three/ThreeLayer/CustomThreeLayer';
interface Options {
    color: string;
    groundColor: string;
    intensity: number;
    position: Vec;
}
declare class ThreeLightHemisphere {
    object: HemisphereLight | null;
    layer: CustomThreeLayer | null;
    constructor(layer: CustomThreeLayer, options: Options);
    setColor(color: string): void;
    setGroundColor(color: string): void;
    getColorHex(color: string): number;
    setIntensity(intensity: number): void;
    setPosition(position: Vec): void;
    refresh(): void;
    remove(): void;
    destroy(): void;
}
export default ThreeLightHemisphere;
